#include "mainpage_temp.h"

mainpage_Temp::mainpage_Temp(QWidget *parent) : QWidget(parent)
{
    label_6_1=new QLabel(this);
    label_6_2=new QLabel(this);
    label_6_3=new QLabel(this);
    label_6_4=new QLabel(this);
    label_6_5=new QLabel(this);
    label_6_6=new QLabel(this);
    label_6_7=new QLabel(this);
    label_6_8=new QLabel(this);
    label_6_9=new QLabel(this);
    label_6_10=new QLabel(this);
    label_6_11=new QLabel(this);
    label_6_12=new QLabel(this);
    label_6_13=new QLabel(this);
    label_6_14=new QLabel(this);
    label_6_15=new QLabel(this);
    label_6_16=new QLabel(this);
    label_6_17=new QLabel(this);
    label_6_18=new QLabel(this);
    label_6_19=new QLabel(this);
    label_6_20=new QLabel(this);
    label_6_21=new QLabel(this);
    label_6_22=new QLabel(this);
    label_6_23=new QLabel(this);
    label_6_24=new QLabel(this);
    label_6_25=new QLabel(this);
    label_6_26=new QLabel(this);
    label_6_27=new QLabel(this);
    label_6_28=new QLabel(this);
    label_6_29=new QLabel(this);
    label_6_30=new QLabel(this);
    label_6_31=new QLabel(this);
    label_6_32=new QLabel(this);
    label_6_33=new QLabel(this);
    label_6_34=new QLabel(this);
    label_6_35=new QLabel(this);
    label_6_36=new QLabel(this);
    label_6_37=new QLabel(this);
    label_6_38=new QLabel(this);
    label_6_39=new QLabel(this);
    label_6_40=new QLabel(this);
    label_6_41=new QLabel(this);
    label_6_42=new QLabel(this);
    label_6_43=new QLabel(this);
    label_6_44=new QLabel(this);
    label_6_45=new QLabel(this);
    label_6_46=new QLabel(this);
    label_6_47=new QLabel(this);
    label_6_48=new QLabel(this);
    label_6_49=new QLabel(this);
    label_6_50=new QLabel(this);
    label_6_51=new QLabel(this);
    label_6_52=new QLabel(this);
    label_6_53=new QLabel(this);
    label_6_54=new QLabel(this);
    label_6_55=new QLabel(this);
    label_6_56=new QLabel(this);
    label_6_57=new QLabel(this);
    label_6_58=new QLabel(this);
    label_6_59=new QLabel(this);
    label_6_60=new QLabel(this);

    label_disconnect_wuxian=new QLabel(this);
    label_disconnect_wuxian->setGeometry(10,5,778,170);
    label_disconnect_wuxian->setAlignment(Qt::AlignCenter);
    label_disconnect_wuxian->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(240, 0, 0)");


    button6_1=new QPushButton("上一页",this);
    button6_2=new QPushButton("下一页",this);

    label_6_array[0]=label_6_1;
    label_6_array[1]=label_6_2;
    label_6_array[2]=label_6_3;
    label_6_array[3]=label_6_4;
    label_6_array[4]=label_6_5;
    label_6_array[5]=label_6_6;
    label_6_array[6]=label_6_7;
    label_6_array[7]=label_6_8;
    label_6_array[8]=label_6_9;
    label_6_array[9]=label_6_10;
    label_6_array[10]=label_6_11;
    label_6_array[11]=label_6_12;
    label_6_array[12]=label_6_13;
    label_6_array[13]=label_6_14;
    label_6_array[14]=label_6_15;
    label_6_array[15]=label_6_16;
    label_6_array[16]=label_6_17;
    label_6_array[17]=label_6_18;
    label_6_array[18]=label_6_19;
    label_6_array[19]=label_6_20;
    label_6_array[20]=label_6_21;
    label_6_array[21]=label_6_22;
    label_6_array[22]=label_6_23;
    label_6_array[23]=label_6_24;
    label_6_array[24]=label_6_25;
    label_6_array[25]=label_6_26;
    label_6_array[26]=label_6_27;
    label_6_array[27]=label_6_28;
    label_6_array[28]=label_6_29;
    label_6_array[29]=label_6_30;
    label_6_array[30]=label_6_31;
    label_6_array[31]=label_6_32;
    label_6_array[32]=label_6_33;
    label_6_array[33]=label_6_34;
    label_6_array[34]=label_6_35;
    label_6_array[35]=label_6_36;
    label_6_array[36]=label_6_37;
    label_6_array[37]=label_6_38;
    label_6_array[38]=label_6_39;
    label_6_array[39]=label_6_40;
    label_6_array[40]=label_6_41;
    label_6_array[41]=label_6_42;
    label_6_array[42]=label_6_43;
    label_6_array[43]=label_6_44;
    label_6_array[44]=label_6_45;
    label_6_array[45]=label_6_46;
    label_6_array[46]=label_6_47;
    label_6_array[47]=label_6_48;
    label_6_array[48]=label_6_49;
    label_6_array[49]=label_6_50;
    label_6_array[50]=label_6_51;
    label_6_array[51]=label_6_52;
    label_6_array[52]=label_6_53;
    label_6_array[53]=label_6_54;
    label_6_array[54]=label_6_55;
    label_6_array[55]=label_6_56;
    label_6_array[56]=label_6_57;
    label_6_array[57]=label_6_58;
    label_6_array[58]=label_6_59;
    label_6_array[59]=label_6_60;

    label_6_1->setGeometry(105,5,110,20);
    label_6_1->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_2->setGeometry(225,5,110,20);
    label_6_2->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_3->setGeometry(345,5,110,20);
    label_6_3->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_4->setGeometry(465,5,110,20);
    label_6_4->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_5->setGeometry(585,5,110,20);
    label_6_5->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_6->setGeometry(105,35,110,20);
    label_6_6->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_7->setGeometry(225,35,110,20);
    label_6_7->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_8->setGeometry(345,35,110,20);
    label_6_8->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_9->setGeometry(465,35,110,20);
    label_6_9->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_10->setGeometry(585,35,110,20);
    label_6_10->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_11->setGeometry(105,65,110,20);
    label_6_11->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_12->setGeometry(225,65,110,20);
    label_6_12->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_13->setGeometry(345,65,110,20);
    label_6_13->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_14->setGeometry(465,65,110,20);
    label_6_14->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_15->setGeometry(585,65,110,20);
    label_6_15->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_16->setGeometry(105,95,110,20);
    label_6_16->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_17->setGeometry(225,95,110,20);
    label_6_17->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_18->setGeometry(345,95,110,20);
    label_6_18->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_19->setGeometry(465,95,110,20);
    label_6_19->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_20->setGeometry(585,95,110,20);
    label_6_20->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_21->setGeometry(105,125,110,20);
    label_6_21->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_22->setGeometry(225,125,110,20);
    label_6_22->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_23->setGeometry(345,125,110,20);
    label_6_23->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_24->setGeometry(465,125,110,20);
    label_6_24->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_25->setGeometry(585,125,110,20);
    label_6_25->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_26->setGeometry(105,155,110,20);
    label_6_26->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_27->setGeometry(225,155,110,20);
    label_6_27->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_28->setGeometry(345,155,110,20);
    label_6_28->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_29->setGeometry(465,155,110,20);
    label_6_29->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_30->setGeometry(585,155,110,20);
    label_6_30->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_31->setGeometry(105,5,110,20);
    label_6_31->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_32->setGeometry(225,5,110,20);
    label_6_32->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_33->setGeometry(345,5,110,20);
    label_6_33->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_34->setGeometry(465,5,110,20);
    label_6_34->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_35->setGeometry(585,5,110,20);
    label_6_35->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_36->setGeometry(105,35,110,20);
    label_6_36->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_37->setGeometry(225,35,110,20);
    label_6_37->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_38->setGeometry(345,35,110,20);
    label_6_38->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_39->setGeometry(465,35,110,20);
    label_6_39->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_40->setGeometry(585,35,110,20);
    label_6_40->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_41->setGeometry(105,65,110,20);
    label_6_41->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_42->setGeometry(225,65,110,20);
    label_6_42->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_43->setGeometry(345,65,110,20);
    label_6_43->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_44->setGeometry(465,65,110,20);
    label_6_44->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_45->setGeometry(585,65,110,20);
    label_6_45->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_46->setGeometry(105,95,110,20);
    label_6_46->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_47->setGeometry(225,95,110,20);
    label_6_47->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_48->setGeometry(345,95,110,20);
    label_6_48->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_49->setGeometry(465,95,110,20);
    label_6_49->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_50->setGeometry(585,95,110,20);
    label_6_50->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_51->setGeometry(105,125,110,20);
    label_6_51->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_52->setGeometry(225,125,110,20);
    label_6_52->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_53->setGeometry(345,125,110,20);
    label_6_53->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_54->setGeometry(465,125,110,20);
    label_6_54->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_55->setGeometry(585,125,110,20);
    label_6_55->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_56->setGeometry(105,155,110,20);
    label_6_56->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_57->setGeometry(225,155,110,20);
    label_6_57->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_58->setGeometry(345,155,110,20);
    label_6_58->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_59->setGeometry(465,155,110,20);
    label_6_59->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");
    label_6_60->setGeometry(585,155,110,20);
    label_6_60->setStyleSheet("background: rgb(145, 145, 145);font: 12pt 黑体 bold;color: rgb(0, 0, 0)");

    button6_1->setGeometry(20,142,75,30);
    button6_1->setStyleSheet("background: rgb(0, 171, 171);font: 12pt 黑体 bold;color: rgb(255, 255, 255)");
    button6_2->setGeometry(705,142,75,30);
    button6_2->setStyleSheet("background: rgb(0, 171, 171);font: 12pt 黑体 bold;color: rgb(255, 255, 255)");
    connect(button6_1,SIGNAL(clicked()),this,SLOT(button6_1_clicked()));
    connect(button6_2,SIGNAL(clicked()),this,SLOT(button6_2_clicked()));

    comboBox_6_1=new QComboBox(this);//无线测温计数
    comboBox_6_1->setGeometry(800,480,120,39);

    label_6_31->hide();
    label_6_32->hide();
    label_6_33->hide();
    label_6_34->hide();
    label_6_35->hide();
    label_6_36->hide();
    label_6_37->hide();
    label_6_38->hide();
    label_6_39->hide();
    label_6_40->hide();
    label_6_41->hide();
    label_6_42->hide();
    label_6_43->hide();
    label_6_44->hide();
    label_6_45->hide();
    label_6_46->hide();
    label_6_47->hide();
    label_6_48->hide();
    label_6_49->hide();
    label_6_50->hide();
    label_6_51->hide();
    label_6_52->hide();
    label_6_53->hide();
    label_6_54->hide();
    label_6_55->hide();
    label_6_56->hide();
    label_6_57->hide();
    label_6_58->hide();
    label_6_59->hide();
    label_6_60->hide();
}

void mainpage_Temp::onPageFiveDataUpdate()
{
    /*无线测温*/
    bool ok;
    auto getfloat = [&](int l, int midl, int midr)->float{
        QString t = SEC.wirelessTData_data.toHex();
        QString t2_1=t.left(l);
        QString t2_2=t2_1.mid(midl, midr);
        return (float)(t2_2.toInt(&ok,16)-2731)*1.0/10;//16进制转十进制
    };

    QString Wireless_Temperature_1 = SEC.wirelessTData_data.toHex();
    QString Wireless_Temperature_1_1=Wireless_Temperature_1.left(4);
    Wireless_Temperature_1_3 = (Wireless_Temperature_1_1.toInt(&ok,16)-2731)*1.0/10;//16进制转十进制

    Wireless_Temperature_2_3 = getfloat(8,4,4);
    Wireless_Temperature_3_3 = getfloat(12,8,4);
    Wireless_Temperature_4_3 = getfloat(16,12,4);
    Wireless_Temperature_5_3 = getfloat(20,16,4);
    Wireless_Temperature_6_3 = getfloat(24,20,4);
    Wireless_Temperature_7_3 = getfloat(28,24,4);
    Wireless_Temperature_8_3 = getfloat(32,28,4);
    Wireless_Temperature_9_3 = getfloat(36,32,4);
    Wireless_Temperature_10_3 = getfloat(40,36,4);
    Wireless_Temperature_11_3 = getfloat(44,40,4);
    Wireless_Temperature_12_3 = getfloat(48,44,4);
    Wireless_Temperature_13_3 = getfloat(52,48,4);
    Wireless_Temperature_14_3 = getfloat(56,52,4);
    Wireless_Temperature_15_3 = getfloat(60,56,4);
    Wireless_Temperature_16_3 = getfloat(64,60,4);
    Wireless_Temperature_17_3 = getfloat(68,64,4);
    Wireless_Temperature_18_3 = getfloat(72,68,4);
    Wireless_Temperature_19_3 = getfloat(76,72,4);
    Wireless_Temperature_20_3 = getfloat(80,76,4);
    Wireless_Temperature_21_3 = getfloat(84,80,4);
    Wireless_Temperature_22_3 = getfloat(88,84,4);
    Wireless_Temperature_23_3 = getfloat(92,88,4);
    Wireless_Temperature_24_3 = getfloat(96,92,4);
    Wireless_Temperature_25_3 = getfloat(100,96,4);
    Wireless_Temperature_26_3 = getfloat(104,100,4);
    Wireless_Temperature_27_3 = getfloat(108,104,4);
    Wireless_Temperature_28_3 = getfloat(112,108,4);
    Wireless_Temperature_29_3 = getfloat(116,112,4);
    Wireless_Temperature_30_3 = getfloat(120,116,4);
    Wireless_Temperature_31_3 = getfloat(124,120,4);
    Wireless_Temperature_32_3 = getfloat(128,124,4);
    Wireless_Temperature_33_3 = getfloat(132,128,4);
    Wireless_Temperature_34_3 = getfloat(136,132,4);
    Wireless_Temperature_35_3 = getfloat(140,136,4);
    Wireless_Temperature_36_3 = getfloat(144,140,4);
    Wireless_Temperature_37_3 = getfloat(148,144,4);
    Wireless_Temperature_38_3 = getfloat(152,148,4);
    Wireless_Temperature_39_3 = getfloat(156,152,4);
    Wireless_Temperature_40_3 = getfloat(160,156,4);
    Wireless_Temperature_41_3 = getfloat(164,160,4);
    Wireless_Temperature_42_3 = getfloat(168,164,4);
    Wireless_Temperature_43_3 = getfloat(172,168,4);
    Wireless_Temperature_44_3 = getfloat(176,172,4);
    Wireless_Temperature_45_3 = getfloat(180,176,4);
    Wireless_Temperature_46_3 = getfloat(184,180,4);
    Wireless_Temperature_47_3 = getfloat(188,184,4);
    Wireless_Temperature_48_3 = getfloat(192,188,4);
    Wireless_Temperature_49_3 = getfloat(196,192,4);
    Wireless_Temperature_50_3 = getfloat(200,196,4);
    Wireless_Temperature_51_3 = getfloat(204,200,4);
    Wireless_Temperature_52_3 = getfloat(208,204,4);
    Wireless_Temperature_53_3 = getfloat(212,208,4);
    Wireless_Temperature_54_3 = getfloat(216,212,4);
    Wireless_Temperature_55_3 = getfloat(220,216,4);
    Wireless_Temperature_56_3 = getfloat(224,220,4);
    Wireless_Temperature_57_3 = getfloat(228,224,4);
    Wireless_Temperature_58_3 = getfloat(232,228,4);
    Wireless_Temperature_59_3 = getfloat(236,232,4);
    Wireless_Temperature_60_3 = getfloat(240,236,4);

    Wireless_Temperature_data[0]=Wireless_Temperature_1_3;
    Wireless_Temperature_data[1]=Wireless_Temperature_2_3;
    Wireless_Temperature_data[2]=Wireless_Temperature_3_3;
    Wireless_Temperature_data[3]=Wireless_Temperature_4_3;
    Wireless_Temperature_data[4]=Wireless_Temperature_5_3;
    Wireless_Temperature_data[5]=Wireless_Temperature_6_3;
    Wireless_Temperature_data[6]=Wireless_Temperature_7_3;
    Wireless_Temperature_data[7]=Wireless_Temperature_8_3;
    Wireless_Temperature_data[8]=Wireless_Temperature_9_3;
    Wireless_Temperature_data[9]=Wireless_Temperature_10_3;
    Wireless_Temperature_data[10]=Wireless_Temperature_11_3;
    Wireless_Temperature_data[11]=Wireless_Temperature_12_3;
    Wireless_Temperature_data[12]=Wireless_Temperature_13_3;
    Wireless_Temperature_data[13]=Wireless_Temperature_14_3;
    Wireless_Temperature_data[14]=Wireless_Temperature_15_3;
    Wireless_Temperature_data[15]=Wireless_Temperature_16_3;
    Wireless_Temperature_data[16]=Wireless_Temperature_17_3;
    Wireless_Temperature_data[17]=Wireless_Temperature_18_3;
    Wireless_Temperature_data[18]=Wireless_Temperature_19_3;
    Wireless_Temperature_data[19]=Wireless_Temperature_20_3;
    Wireless_Temperature_data[20]=Wireless_Temperature_21_3;
    Wireless_Temperature_data[21]=Wireless_Temperature_22_3;
    Wireless_Temperature_data[22]=Wireless_Temperature_23_3;
    Wireless_Temperature_data[23]=Wireless_Temperature_24_3;
    Wireless_Temperature_data[24]=Wireless_Temperature_25_3;
    Wireless_Temperature_data[25]=Wireless_Temperature_26_3;
    Wireless_Temperature_data[26]=Wireless_Temperature_27_3;
    Wireless_Temperature_data[27]=Wireless_Temperature_28_3;
    Wireless_Temperature_data[28]=Wireless_Temperature_29_3;
    Wireless_Temperature_data[29]=Wireless_Temperature_30_3;
    Wireless_Temperature_data[30]=Wireless_Temperature_31_3;
    Wireless_Temperature_data[31]=Wireless_Temperature_32_3;
    Wireless_Temperature_data[32]=Wireless_Temperature_33_3;
    Wireless_Temperature_data[33]=Wireless_Temperature_34_3;
    Wireless_Temperature_data[34]=Wireless_Temperature_35_3;
    Wireless_Temperature_data[35]=Wireless_Temperature_36_3;
    Wireless_Temperature_data[36]=Wireless_Temperature_37_3;
    Wireless_Temperature_data[37]=Wireless_Temperature_38_3;
    Wireless_Temperature_data[38]=Wireless_Temperature_39_3;
    Wireless_Temperature_data[39]=Wireless_Temperature_40_3;
    Wireless_Temperature_data[40]=Wireless_Temperature_41_3;
    Wireless_Temperature_data[41]=Wireless_Temperature_42_3;
    Wireless_Temperature_data[42]=Wireless_Temperature_43_3;
    Wireless_Temperature_data[43]=Wireless_Temperature_44_3;
    Wireless_Temperature_data[44]=Wireless_Temperature_45_3;
    Wireless_Temperature_data[45]=Wireless_Temperature_46_3;
    Wireless_Temperature_data[46]=Wireless_Temperature_47_3;
    Wireless_Temperature_data[47]=Wireless_Temperature_48_3;
    Wireless_Temperature_data[48]=Wireless_Temperature_49_3;
    Wireless_Temperature_data[49]=Wireless_Temperature_50_3;
    Wireless_Temperature_data[50]=Wireless_Temperature_51_3;
    Wireless_Temperature_data[51]=Wireless_Temperature_52_3;
    Wireless_Temperature_data[52]=Wireless_Temperature_53_3;
    Wireless_Temperature_data[53]=Wireless_Temperature_54_3;
    Wireless_Temperature_data[54]=Wireless_Temperature_55_3;
    Wireless_Temperature_data[55]=Wireless_Temperature_56_3;
    Wireless_Temperature_data[56]=Wireless_Temperature_57_3;
    Wireless_Temperature_data[57]=Wireless_Temperature_58_3;
    Wireless_Temperature_data[58]=Wireless_Temperature_59_3;
    Wireless_Temperature_data[59]=Wireless_Temperature_60_3;

    QString line;
    QFile file_readwi("/home/data/wireless_adress.txt");
    if(file_readwi.open(QIODevice::ReadOnly | QIODevice::Text))
    {
        QTextStream in(&file_readwi);//创建一个对象让它去读文件

        while (!in.atEnd()) {
            line= in.readLine();
            if(line!="")
            comboBox_6_1->addItem(line);
        }
    }
    file_readwi.close();
    count=comboBox_6_1->count();
    comboBox_6_1->clear();
    for(int i=0;i<count;i++)
    {
        if(QString::number(Wireless_Temperature_data[i],'f',1)=="-273.1")
            label_6_array[i]->setText(wireless_name[i]+"："+"--°C");
        else
            label_6_array[i]->setText(wireless_name[i]+"："+QString::number(Wireless_Temperature_data[i],'f',1)+"°C");
    }
    for(int i=count;i<60;i++)
    {
        label_6_array[i]->clear();
    }
    emit sigCountSend(count);
}

void mainpage_Temp::button6_1_clicked()
{
    emit sigPageFiveSend();
    label_6_1->show();
    label_6_2->show();
    label_6_3->show();
    label_6_4->show();
    label_6_5->show();
    label_6_6->show();
    label_6_7->show();
    label_6_8->show();
    label_6_9->show();
    label_6_10->show();
    label_6_11->show();
    label_6_12->show();
    label_6_13->show();
    label_6_14->show();
    label_6_15->show();
    label_6_16->show();
    label_6_17->show();
    label_6_18->show();
    label_6_19->show();
    label_6_20->show();
    label_6_21->show();
    label_6_22->show();
    label_6_23->show();
    label_6_24->show();
    label_6_25->show();
    label_6_26->show();
    label_6_27->show();
    label_6_28->show();
    label_6_29->show();
    label_6_30->show();
    label_6_31->hide();
    label_6_32->hide();
    label_6_33->hide();
    label_6_34->hide();
    label_6_35->hide();
    label_6_36->hide();
    label_6_37->hide();
    label_6_38->hide();
    label_6_39->hide();
    label_6_40->hide();
    label_6_41->hide();
    label_6_42->hide();
    label_6_43->hide();
    label_6_44->hide();
    label_6_45->hide();
    label_6_46->hide();
    label_6_47->hide();
    label_6_48->hide();
    label_6_49->hide();
    label_6_50->hide();
    label_6_51->hide();
    label_6_52->hide();
    label_6_53->hide();
    label_6_54->hide();
    label_6_55->hide();
    label_6_56->hide();
    label_6_57->hide();
    label_6_58->hide();
    label_6_59->hide();
    label_6_60->hide();
}

void mainpage_Temp::button6_2_clicked()
{
    emit sigPageFiveSend();
    label_6_1->hide();
    label_6_2->hide();
    label_6_3->hide();
    label_6_4->hide();
    label_6_5->hide();
    label_6_6->hide();
    label_6_7->hide();
    label_6_8->hide();
    label_6_9->hide();
    label_6_10->hide();
    label_6_11->hide();
    label_6_12->hide();
    label_6_13->hide();
    label_6_14->hide();
    label_6_15->hide();
    label_6_16->hide();
    label_6_17->hide();
    label_6_18->hide();
    label_6_19->hide();
    label_6_20->hide();
    label_6_21->hide();
    label_6_22->hide();
    label_6_23->hide();
    label_6_24->hide();
    label_6_25->hide();
    label_6_26->hide();
    label_6_27->hide();
    label_6_28->hide();
    label_6_29->hide();
    label_6_30->hide();
    label_6_31->show();
    label_6_32->show();
    label_6_33->show();
    label_6_34->show();
    label_6_35->show();
    label_6_36->show();
    label_6_37->show();
    label_6_38->show();
    label_6_39->show();
    label_6_40->show();
    label_6_41->show();
    label_6_42->show();
    label_6_43->show();
    label_6_44->show();
    label_6_45->show();
    label_6_46->show();
    label_6_47->show();
    label_6_48->show();
    label_6_49->show();
    label_6_50->show();
    label_6_51->show();
    label_6_52->show();
    label_6_53->show();
    label_6_54->show();
    label_6_55->show();
    label_6_56->show();
    label_6_57->show();
    label_6_58->show();
    label_6_59->show();
    label_6_60->show();
}

void mainpage_Temp::onWirelessStateCheck()
{
    bool state = false;

    QFile file_read("/home/data/CW_state.txt");
    if(file_read.open(QIODevice::ReadOnly | QIODevice::Text))
    {
        QTextStream in(&file_read);//创建一个对象让它去读文件
        if(in.readLine()=="1")//局放未连接
        {
            state = true;
            label_disconnect_wuxian->setText("无线测温未连接！");
            label_disconnect_wuxian->show();
            label_disconnect_wuxian->raise();
        }
        else
        {
            state = false;
            label_disconnect_wuxian->hide();
        }
    }
    file_read.close();
    emit sigDispWirelessAlarm(state);
}
